Mail archive
alpine-aports

[alpine-aports] [PATCH 4/5] testing/perl-test-class: new aport

From: Nathan Johnson <nathan_at_nathanjohnson.info>
Date: Mon, 29 Feb 2016 15:22:37 -0600

http://search.cpan.org/dist/Test-Class/
Easily create test classes in an xUnit/JUnit style
---
 testing/perl-test-class/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-test-class/APKBUILD
diff --git a/testing/perl-test-class/APKBUILD b/testing/perl-test-class/APKBUILD
new file mode 100644
index 0000000..73a58d8
--- /dev/null
+++ b/testing/perl-test-class/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
+pkgname=perl-test-class
+_pkgreal=Test-Class
+pkgver=0.50
+pkgrel=0
+pkgdesc="Easily create test classes in an xUnit/JUnit style"
+url="http://search.cpan.org/dist/Test-Class/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-try-tiny perl-mro-compat perl-module-runtime"
+cpanmakedepends="  perl-test-exception "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="4cc3aaad36b72f424ed90122701d2451  Test-Class-0.50.tar.gz"
+sha256sums="099154ed8caf3ff97c71237fab952264ac1c03d9270737a56071cabe65991350  Test-Class-0.50.tar.gz"
+sha512sums="27ae19f60a916f5a23cccdc02ff6168e76d5f1cee5df196df4fe50024f7270ee9eaffdf02e9b6de70565c9b6b30606ad0a30477ac8951164b87c641caf960dcc  Test-Class-0.50.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Feb 29 2016 - 15:22:37 GMT